Magick++: Magick::DrawableFont Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableFont Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableFont:
[legend]
Collaboration diagram for Magick::DrawableFont:
[legend]

## Public Member Functions
| DrawableFont (const std::string &font_)
| DrawableFont (const std::string &family_, StyleType style_, const unsigned int weight_, StretchType stretch_)
| DrawableFont (const DrawableFont &original_)
| ~DrawableFont (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | font (const std::string &font_)
std::string | font (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1054 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableFont() [1/3]

Magick::DrawableFont::DrawableFont | ( | const std::string & | font_ | ) |

Definition at line 779 of file Drawable.cpp.

## ◆ DrawableFont() [2/3]

Magick::DrawableFont::DrawableFont | ( | const std::string & | family_,
|  | Magick::StyleType | style_,
|  | const unsigned int | weight_,
|  | Magick::StretchType | stretch_
| ) |  |

Definition at line 787 of file Drawable.cpp.

## ◆ DrawableFont() [3/3]

Magick::DrawableFont::DrawableFont | ( | const DrawableFont & | original_ | ) |

Definition at line 798 of file Drawable.cpp.

## ◆ ~DrawableFont()

Magick::DrawableFont::~DrawableFont | ( | void |  | ) |

Definition at line 807 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableFont::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 833 of file Drawable.cpp.

## ◆ font() [1/2]

void Magick::DrawableFont::font | ( | const std::string & | font_ | ) |
| inline

Definition at line 1073 of file Drawable.h.

## ◆ font() [2/2]

std::string Magick::DrawableFont::font | ( | void |  | ) | const
| inline

Definition at line 1077 of file Drawable.h.

## ◆ operator()()

void Magick::DrawableFont::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 810 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp